package com.tofly.watermeter.custom.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.CustomSbYjgl;
import com.tofly.watermeter.custom.entity.SearchSb;
import com.tofly.watermeter.entity.Bwhbdatail;
import com.tofly.watermeter.entity.Bwsbyjgl;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * @author by Wangjieliu
 * @date 2021/3/17.
 */
public interface SbManagerService {
    boolean updateExchange(Bwhbdatail bwhbdatail);

    boolean deleteExchange(Long id);

//    boolean turnover(CustomSbYjgl bwsbyjgl);

    boolean turnoverTwo(CustomSbYjgl bwsbyjgl);

    boolean turnoverThree(CustomSbYjgl bwsbyjgl , MultipartFile file);

    boolean turnoverFour(CustomSbYjgl bwsbyjgl , MultipartFile file);

    boolean turnoverFive(CustomSbYjgl bwsbyjgl, MultipartFile file);

    boolean deleteTurnoverById(Long id);

    IPage<Bwsbyjgl> getTurnover(Page<Bwsbyjgl> page, Bwsbyjgl bwsbyjgl);

    List<Map> getTurnoverById(Long id);

    IPage<Map> getZjOrGz(Page page, SearchSb sb);



}
